【GPU linux环境搭建】10分钟了解下centos 下 GPU搭建过程

无意中发现了一个巨牛的人工智能教程,忍不住分享一下给大家。教程不仅是零基础,通俗易懂,而且非常风趣幽默,像看小说一样!觉得太牛了,所以分享给大家。点这里可以跳转到教程。人工智能教程

主要内容

1、深度学习显卡驱动安装
2、cudatoolkit安装
3、cudnn安装
4、验证安装成功

一、基本环境信息
显卡:GeForce GTX 1660
操作系统:CentOS 7.4

二、基础环境验证
验证系统是否能正常识别 GPU

lspci | grep -i nvidia

在这里插入图片描述
这里看到有2块显卡。

三、检查系统需要的驱动版本安装

yum erase kmod-nvidia
yum install nvidia-detect
nvidia-detect -v

显示我们需要的驱动版本是440.36,因此我们 去官网下载对应的版本驱动即可。

[10de:2184] NVIDIA Corporation TU116 [GeForce GTX 1660]
This device requires the current 440.36 NVIDIA driver kmod-nvidia
[10de:2184] NVIDIA Corporation TU116 [GeForce GTX 1660]
This device requires the current 440.36 NVIDIA driver kmod-nvidia
[15ad:0405] VMware SVGA II Adapter
WARNING: Xorg log file /var/log/Xorg.0.log does not exist
WARNING: Unable to determine Xorg ABI compatibility
WARNING: The driver for this device does not support the current Xorg version

四、下载需要的驱动、cuda、cudnn

先把需要安装的东西下载下载。
注意:tensorflow2.0 只支持 cuda 版本 10.0,cuda版本不要下载cuda10.2最新版本。

驱动版本  440.36
cuda版本 10.0
cudnn版本 7.6.4

驱动下载地址:https://www.geforce.cn/drivers
手动搜索驱动程序,选择相应型号的版本。
在这里插入图片描述

在这里插入图片描述

cuda下载地址:https://developer.nvidia.com/cuda-toolkit-archive

在这里插入图片描述

cudnn 下载:https://developer.nvidia.com/rdp/cudnn-archive
在这里插入图片描述
注册个账号去下载,即可。

五、安装依赖
要装的三个依赖分别是,gcc、kernel-devel、dkms,其中需要注意的是,kernel-devel的版本需要与当前内核的版本一致,不然后面会出现找不到文件的情况。

更新所有软件包:
yum -y update

安装依赖:
yum -y install kernel-devel epel-release dkms gcc gcc-g++

查看我的内核版本:
uname -r

查看一下可以安装的kernel-devel版本: 
yum list | grep kernel-devel

检查系统是否已安装kernel-devel版本
rpm -q kernel-devel-3.10.0-1062.12.1.el7.x86_64

如果没有安装,到https://centos.pkgs.org/7/centos-updates-x86_64/下载对应的kernel 版本

安装方法:
rpm -ivh kernel-devel-3.10.0-1062.12.1.el7.x86_64.rpm

yum -y install gcc dkms

如果已经安装对应上了,就重启电脑
reboot 

6、禁用 nouveau

查看是否禁用成功,有显示东西,则说明没有禁用成功。
lsmod | grep nouveau

echo -e "blacklist nouveau\noptions nouveau modeset=0" > /etc/modprobe.d/blacklist.conf

mv /boot/initramfs-$(uname -r).img /boot/initramfs-$(uname -r).img.bak

dracut /boot/initramfs-$(uname -r).img $(uname -r)

再次查看是否禁用成功,没有显示什么东西,就禁用成功
lsmod | grep nouveau

7、安装驱动

./NVIDIA-Linux-x86_64-440.36.run --kernel-source-path=/usr/src/kernels/3.10.0-1062.12.1.el7.x86_64 --no-opengl-files


验证驱动是否已安装成功

nvidai-smi

8、安装cuda

sudo sh cuda_10.0.130_410.48_linux.run

或者 conda install cudatoolkit=10.0

9、安装cudnn

sudo sh cudnn文件
或者
conda install cudnn=7.6.4
发布了670 篇原创文章 · 获赞 834 · 访问量 200万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 编程工作室 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览